import type { Adapter, AdapterContext, DispatchResourceRequestContext, ErrorResponse, FulfilledSnapshot, Luvio, FetchResponse, Snapshot, SnapshotRefresh, StaleSnapshot } from '@luvio/engine';
import type { AdapterValidationConfig } from '../../generated/adapters/adapter-utils';
import type { ResourceRequestConfig } from '../../generated/resources/getByApexMethodAndApexClass';
import type { ApexAdapterConfig, ApexInvokerParams } from '../../util/shared';
export declare const adapterName = "getByApexMethodAndApexClass";
export declare const getByApexMethodAndApexClass_ConfigPropertyNames: AdapterValidationConfig;
export declare function createResourceParams(config: ApexAdapterConfig): ResourceRequestConfig;
export declare function keyBuilderFromResourceParams(params: ResourceRequestConfig): string;
export declare function ingestSuccess(luvio: Luvio, resourceParams: ResourceRequestConfig, response: FetchResponse<any>, snapshotRefresh?: SnapshotRefresh<any>): FulfilledSnapshot<any, any> | StaleSnapshot<any, any>;
export declare function onFetchResponseSuccess(luvio: Luvio, context: AdapterContext, config: ApexAdapterConfig, resourceParams: ResourceRequestConfig, response: FetchResponse<any>): Promise<FulfilledSnapshot<any, any> | StaleSnapshot<any, any>>;
export declare function onFetchResponseError(luvio: Luvio, context: AdapterContext, config: ApexAdapterConfig, _resourceParams: ResourceRequestConfig, response: ErrorResponse): Promise<import("@luvio/engine").ErrorSnapshot>;
export declare function buildNetworkSnapshot(luvio: Luvio, context: AdapterContext, config: ApexAdapterConfig, options?: DispatchResourceRequestContext): Promise<Snapshot<any>>;
export declare const factory: (luvio: Luvio, invokerParams: ApexInvokerParams) => Adapter<any, any>;
export declare function getApexAdapterFactory(luvio: Luvio, namespace: string, classname: string, method: string, isContinuation: boolean): Adapter<any, any>;
